import java.applet.*;
import java.awt.*;
import com.sun.java.swing.*;

/**
   A class that demonstrates use of graphics in an Applet.
*/
public class GraphicsDemoApplet extends JApplet
{
  /**
     Draws the custom graphics in the Applet container.

     @param g the graphics context in which the drawing 
     directives take place.
  */
  public void paint(Graphics g)
  {
    Graphics newG = getGraphics();

    // Use the newly created graphics and ignore the one
    // passed to this method.
    //
    if (newG == null)
      return;

    newG.drawString("Our first attempt at drawing Graphics", 
		    20, 150);

    // Must destroy any graphics that we create.
    //
    newG.dispose();
  }

  // The Applet class defines a menu with several choices,
  // including a "Quit" button.  The applet defines all the
  // window listeners that dispose of the applet window
  // appropriately.  We don't have to do any of that here.

}
