import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class FontMeasure extends JPanel
{
  public FontMeasure()
  {
    JLabel l1 = new JLabel("FontMetrics Attributes");
    l1.setFont(new Font("TimesRoman", Font.PLAIN, 40));
    l1.setHorizontalAlignment(SwingConstants.CENTER);

    JLabel l2 = new JLabel("Ascent, Descent, Leading, ");
    l2.setFont(new Font("TimesRoman", Font.ITALIC, 40));
    l2.setHorizontalAlignment(SwingConstants.CENTER);

    JLabel l3 = new JLabel("Advance, Baseline");
    l3.setFont(new Font("TimesRoman", Font.ITALIC, 40));
    l3.setHorizontalAlignment(SwingConstants.CENTER);

    setLayout(new GridLayout(0, 1));
    add(l1);
    add(l2);
    add(l3);
  }


  public Insets getInsets()
  {
    return new Insets(20, 20, 20, 20);
  }


  public static void main(String [] args)
  {
    FontMeasure app = new FontMeasure();
    JFrame f = new JFrame("Font Metrics Quantities");
    WindowListener wL = new WindowAdapter()
      {
	public void windowClosing(WindowEvent e)
	  {
	    e.getWindow().dispose();
	    System.exit(0);
	  }
      };
    f.addWindowListener(wL);
    f.getContentPane().add(app);
    f.pack();
    f.show();
  }
}
