import java.awt.*;
import javax.swing.*;

public class FlowLayoutDemo extends JPanel
{
  public FlowLayoutDemo()
  {
    // The default layout manager for JPanel 
    // is FlowLayout.

    FlowLayout fl = new FlowLayout();
    fl.setAlignment(FlowLayout.LEFT);
    setLayout(fl);

    add(new JButton("1"), 0);
    add(new JButton("2"), 1);
    add(new JButton("3"), 1);
    add(new JButton("4"));
    add(new JButton("5"));
    add(new JButton("6"));
    add(new JButton("7"));
    add(new JButton("8"));
    add(new JButton("9"));
  }

  public static void main(String [] args)
  {
    FlowLayoutDemo app = new FlowLayoutDemo();

    JFrame f = new JFrame("FlowLayout Demo");
    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }

}
