import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class AdjustmentEventDemo extends JPanel 
{
  public AdjustmentEventDemo()
  {
    JScrollBar sb = new JScrollBar(JScrollBar.HORIZONTAL);
    sb.setPreferredSize(new Dimension(200, 17));

    AdjustmentListener aL = new AdjustmentMonitor();
    sb.addAdjustmentListener(aL);

    add(sb);
  }

  public Dimension getPreferredSize()
  {
    return new Dimension(350, 100);
  }

  public static void main(String [] args)
  {
    AdjustmentEventDemo app = new AdjustmentEventDemo();

    JFrame f = new JFrame("Adjustment Event Demo");

    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }
}


class AdjustmentMonitor implements AdjustmentListener
{
  public void adjustmentValueChanged(AdjustmentEvent e) 
    {
      System.out.println("Value = " + e.getValue());

//       switch (e.getAdjustmentType())
// 	{
// 	case AdjustmentEvent.ADJUSTMENT_VALUE_CHANGED:
// 	  System.out.println("Adjustment value changed");
// 	  break;
      
// 	case AdjustmentEvent.BLOCK_DECREMENT:
// 	case AdjustmentEvent.BLOCK_INCREMENT:
// 	  System.out.println("Unit change = " + e.getValue());
// 	  break;

// 	case AdjustmentEvent.TRACK:
// 	  // Do nothing while scrollbar is tracking.
// 	  break;

// 	case AdjustmentEvent.UNIT_DECREMENT:
// 	case AdjustmentEvent.UNIT_INCREMENT:
// 	  System.out.println("Unit change = " + e.getValue());
// 	  break;

// 	default:
// 	  System.out.println("Default case.");

// 	}
    }
}

